<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: AGContext Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_a_g_context-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AGContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_a_g_context_8h_source.html">AGContext.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for AGContext:</div>
<div class="dyncontent">
<div class="center"><img src="class_a_g_context__coll__graph.png" border="0" usemap="#_a_g_context_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af6ab4c6f3f7fc8c88293d857bec606c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#af6ab4c6f3f7fc8c88293d857bec606c0">AGContext</a> ()</td></tr>
<tr class="separator:af6ab4c6f3f7fc8c88293d857bec606c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9daae3cd17a64b534aff9ff29d82cd4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a9daae3cd17a64b534aff9ff29d82cd4b">AGContext</a> (<a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *, AGTree::iterator, AGTree::iterator)</td></tr>
<tr class="separator:a9daae3cd17a64b534aff9ff29d82cd4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b992c51d7670c332d536d245063f980"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a1b992c51d7670c332d536d245063f980">~AGContext</a> ()</td></tr>
<tr class="separator:a1b992c51d7670c332d536d245063f980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149709da99c835338589c2caddecd530"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a149709da99c835338589c2caddecd530">getParent</a> () const</td></tr>
<tr class="separator:a149709da99c835338589c2caddecd530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ad4631cd672314b736e3d7a3b4cba2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a79ad4631cd672314b736e3d7a3b4cba2">setParent</a> (<a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *p)</td></tr>
<tr class="separator:a79ad4631cd672314b736e3d7a3b4cba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac14a922b530d9eea1e8d826720d06b6c"><td class="memItemLeft" align="right" valign="top">AGTree::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#ac14a922b530d9eea1e8d826720d06b6c">getStartIndex</a> () const</td></tr>
<tr class="separator:ac14a922b530d9eea1e8d826720d06b6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ab02911239baa3b622a1b8a41d406a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a6ab02911239baa3b622a1b8a41d406a0">setStartIndex</a> (AGTree::iterator)</td></tr>
<tr class="separator:a6ab02911239baa3b622a1b8a41d406a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d162ac9d67f5abefde6b25fbbdf76ed"><td class="memItemLeft" align="right" valign="top">AGTree::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a7d162ac9d67f5abefde6b25fbbdf76ed">getEndIndex</a> () const</td></tr>
<tr class="separator:a7d162ac9d67f5abefde6b25fbbdf76ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accce2185cd03550221ccb88f5998201d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#accce2185cd03550221ccb88f5998201d">setEndIndex</a> (AGTree::iterator)</td></tr>
<tr class="separator:accce2185cd03550221ccb88f5998201d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a884ed4f87e757bf4f46a74631e188935"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a884ed4f87e757bf4f46a74631e188935">parent</a></td></tr>
<tr class="separator:a884ed4f87e757bf4f46a74631e188935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f5cc059dafd9d90146007c7ccb335c"><td class="memItemLeft" align="right" valign="top">AGTree::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#ae2f5cc059dafd9d90146007c7ccb335c">startIndex</a></td></tr>
<tr class="separator:ae2f5cc059dafd9d90146007c7ccb335c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e8d750c8d0cf17992829a5b3bb8a813"><td class="memItemLeft" align="right" valign="top">AGTree::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_context.html#a6e8d750c8d0cf17992829a5b3bb8a813">endIndex</a></td></tr>
<tr class="separator:a6e8d750c8d0cf17992829a5b3bb8a813"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af6ab4c6f3f7fc8c88293d857bec606c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6ab4c6f3f7fc8c88293d857bec606c0">&#9670;&nbsp;</a></span>AGContext() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGContext::AGContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9daae3cd17a64b534aff9ff29d82cd4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9daae3cd17a64b534aff9ff29d82cd4b">&#9670;&nbsp;</a></span>AGContext() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGContext::AGContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td>
          <td class="paramname"><em>pSymbol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AGTree::iterator&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AGTree::iterator&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b992c51d7670c332d536d245063f980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b992c51d7670c332d536d245063f980">&#9670;&nbsp;</a></span>~AGContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AGContext::~AGContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7d162ac9d67f5abefde6b25fbbdf76ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d162ac9d67f5abefde6b25fbbdf76ed">&#9670;&nbsp;</a></span>getEndIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGTree::iterator AGContext::getEndIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a149709da99c835338589c2caddecd530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a149709da99c835338589c2caddecd530">&#9670;&nbsp;</a></span>getParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> * AGContext::getParent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac14a922b530d9eea1e8d826720d06b6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac14a922b530d9eea1e8d826720d06b6c">&#9670;&nbsp;</a></span>getStartIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGTree::iterator AGContext::getStartIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="accce2185cd03550221ccb88f5998201d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accce2185cd03550221ccb88f5998201d">&#9670;&nbsp;</a></span>setEndIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AGContext::setEndIndex </td>
          <td>(</td>
          <td class="paramtype">AGTree::iterator&#160;</td>
          <td class="paramname"><em>eIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79ad4631cd672314b736e3d7a3b4cba2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79ad4631cd672314b736e3d7a3b4cba2">&#9670;&nbsp;</a></span>setParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AGContext::setParent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ab02911239baa3b622a1b8a41d406a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ab02911239baa3b622a1b8a41d406a0">&#9670;&nbsp;</a></span>setStartIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AGContext::setStartIndex </td>
          <td>(</td>
          <td class="paramtype">AGTree::iterator&#160;</td>
          <td class="paramname"><em>sIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6e8d750c8d0cf17992829a5b3bb8a813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e8d750c8d0cf17992829a5b3bb8a813">&#9670;&nbsp;</a></span>endIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AGTree::iterator AGContext::endIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a884ed4f87e757bf4f46a74631e188935"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884ed4f87e757bf4f46a74631e188935">&#9670;&nbsp;</a></span>parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a>* AGContext::parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2f5cc059dafd9d90146007c7ccb335c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2f5cc059dafd9d90146007c7ccb335c">&#9670;&nbsp;</a></span>startIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AGTree::iterator AGContext::startIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_a_g_context_8h_source.html">AGContext.h</a></li>
<li>src/<a class="el" href="_a_g_context_8cpp.html">AGContext.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
